/**
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2004 satoshi akabane(akabane@logical-paradox.org)
 *
 */
package org.logical_paradox.common.util;

import org.logical_paradox.common.io.ByteStream;
import org.logical_paradox.common.lang.StringByteStream;

/**
 * ArrayListByteStreamのテスト実装
 */
public class ArrayListByteStreamTestImpl extends ArrayListByteStream {
	/**
	 * デフォルトコンストラクタ
	 */
   public ArrayListByteStreamTestImpl() {
	   super();
   }
   /**
	* コンストラクタ
	* 
	* @param bs 生成時に追加するオブジェクトの配列
	*/
   public ArrayListByteStreamTestImpl(ByteStream[] bs) {
	   super();
   }
   /**
	* コンストラクタ
	* @param bs 生成時に復元するオブジェクトのバイト列
	*/
   public ArrayListByteStreamTestImpl(byte[] bs) {
	   super(bs);
   }

   /**
	* バイト列からオブジェクトを復元する
	* 何が具体的に復元されるかは，サブクラスで実装される
	* @param bstream バイト列
	* @return 復元されたオブジェクト
	*/
	protected ByteStream buildByteStreamObject(byte[] bstream) {
		return new StringByteStream(bstream);
	}
}
